---
title: "RegisterAlert"
generated: true
---
<GenerationInfo sourceFile="packages/admin-ui/src/lib/core/src/extension/register-alert.ts" sourceLine="12" packageName="@vendure/admin-ui" since="2.2.0" />

Registers an alert which can be displayed in the Admin UI alert dropdown in the top bar.
The alert is configured using the <DocsLink href="/reference/admin-ui-api/alerts/alert-config#alertconfig">AlertConfig</DocsLink> object.

```ts title="Signature"
function registerAlert(config: AlertConfig): void
```
Parameters

### config

<MemberInfo kind="parameter" type={`<a href='/reference/admin-ui-api/alerts/alert-config#alertconfig'>AlertConfig</a>`} />

